using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Логика взаимодействия для pgAddHotel.xaml
    /// </summary>
    public partial class pgAddHotel : Page
    {
        Hotel hotel;
        public pgAddHotel()
        {
            InitializeComponent();
            hotel = new Hotel();
            DataContext = hotel;
            cbCountry.ItemsSource = BaseConnect.BaseModel.Country.ToList();
            cbCountry.SelectedValuePath = "Code";
            cbCountry.DisplayMemberPath = "Name";
        }

        private void cbCountry_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            hotel.CountryCode = (string)cbCountry.SelectedValue;
        }

        private void btnSave_Click(object sender, RoutedEventArgs e)
        {
            BaseConnect.BaseModel.Hotel.Add(hotel);
            BaseConnect.BaseModel.SaveChanges();
        }
    }
}
